"""
Python provisioning of IoT kits
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

iotprovision is a command-line utility for provisioning Microchip AVR-IoT,
PIC-IoT and SAM-IoT kits for use with various cloud providers.

It is used as a CLI.

Type iotprovision --help to get help.

Overview
~~~~~~~~

iotprovision is available:
    * install using pip from pypi: https://pypi.org/project/iotprovision
    * browse source code on github: https://github.com/microchip-pic-avr-tools/iotprovision
    * read API documentation on github: https://microchip-pic-avr-tools.github.io/iotprovision
    * read the changelog on github: https://github.com/microchip-pic-avr-tools/iotprovision/blob/main/CHANGELOG.md

Dependencies
~~~~~~~~~~~~
iotprovision depends on pytrustplatform, pyawsutils and pyazureutils.
iotprovision depends on pykitcommander to manage Microchip IoT kit firmware
and connection.
iotprovision depends on pyedbglib for its transport protocol.
pyedbglib requires a USB transport library like libusb.
See pyedbglib package for more information: https://pypi.org/project/pyedbglib/
"""

# Build number part of version will be replaced by build number from Jenkins.
# For local builds the build number is 0 and the 'snapshot' is added as Local Version Identifier
__version__ = "2.12.4.20"

# The GIT commit ID and build date are generated by Jenkins when building the package
COMMIT_ID = 'b7692f2d6aff119ddd197431a19898bdfe158d9e'
BUILD_DATE = '2023-12-12 13:13:00'

import logging
logging.getLogger(__name__).addHandler(logging.NullHandler())
